
use "FinalData_JEPS.dta", clear
set more off
global controls age male education income
global vil vil1 vil2 vil3 vil4 vil5 vil6 vil7 vil8 vil9 vil10 vil11 vil12


*******************
*Main Text Tables *
*******************

*Table 1
summ dga dgb if dgrole=="A"
summ dgcsanction if dgrole=="C"
summ riga rigb rigcsanctiona rigcsanctionb if rigrole=="C"
bys country dgtreatment: summ dga dgb if dgrole=="A"
bys country dgtreatment: summ dgcsanction if dgrole=="C"
bys country dgtreatment: summ riga rigb rigcsanctiona rigcsanctionb if rigrole=="C"


*Table 2
eststo kdgtrans1: reg dgb i.dgtreatment if country=="Kenya" & dgrole=="A"
eststo kdgtrans2: reg dgb i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="A"
eststo tdgtrans1: reg dgb i.dgtreatment if country=="Tanzania" & dgrole=="A"
eststo tdgtrans2: reg dgb i.dgtreatment $controls $vil if country=="Tanzania" & dgrole=="A"
	
*Table 3
est restore kdgtrans2
	pwcompare i.dgtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.dgtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
est restore tdgtrans2
	pwcompare i.dgtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.dgtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)


*Table 4
eststo kdgc1: reg dgcsanction dga i.dgtreatment if country=="Kenya" & dgrole=="C"
eststo kdgc2: reg dgcsanction dga i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="C"
eststo tdgc1: reg dgcsanction dga i.dgtreatment  if country=="Tanzania" & dgrole=="C"
eststo tdgc2: reg dgcsanction dga i.dgtreatment $controls $vil if country=="Tanzania" & dgrole=="C"

*Table 5
est restore kdgc2
	pwcompare i.dgtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.dgtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
est restore tdgc2
	pwcompare i.dgtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.dgtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
	
*Table 6
eststo kriga1: reg rigcsanctiona riga i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0
eststo kriga2: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0
eststo krigb1: reg rigcsanctionb rigb i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0
eststo krigb2: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0
eststo triga1: reg rigcsanctiona riga i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0
eststo triga2: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0
eststo trigb1: reg rigcsanctionb rigb i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0
eststo trigb2: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0

*Table 7
est restore kriga2
	pwcompare i.rigtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.rigtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
est restore krigb2
	pwcompare i.rigtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.rigtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
est restore triga2
	pwcompare i.rigtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.rigtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)
est restore trigb2
	pwcompare i.rigtreatment, pv  cformat(%3.2f) pformat(%3.2f)  
	pwcompare i.rigtreatment, pv mcompare(duncan) cformat(%3.2f) pformat(%3.2f)

******************************
*Statistics reported in text *
******************************

ttest national, by(country)
ttest natsim, by(country)


ttest spite, by(country)
tab spite_coeth if spite==1

ttest anger, by(country)
ttest retribution, by(country)

pwcorr dgcsanction anger retribution, sig
pwcorr rigcsanction anger retribution, sig


******************
* Appendix       *
******************

*Table A.1
bys country dgtreatment: summarize age education income male religion luo ethmin

*Table A.2
eststo kdgtrans1_oprobit: oprobit dgb i.dgtreatment if country=="Kenya" & dgrole=="A"
eststo kdgtrans2_oprobit: oprobit dgb i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="A"
eststo tdgtrans1_oprobit: oprobit dgb i.dgtreatment if country=="Tanzania" & dgrole=="A"
eststo tdgtrans2_oprobit: oprobit dgb i.dgtreatment $controls $vil if country=="Tanzania" & dgrole=="A"

*Table A.3 (ordered probit)
eststo kdgc1_oprobit: reg dgcsanction dga i.dgtreatment if country=="Kenya" & dgrole=="C"
eststo kdgc2_oprobit: reg dgcsanction dga i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="C"
eststo tdgc1_oprobit: oprobit dgcsanction dga i.dgtreatment  if country=="Tanzania" & dgrole=="C"
eststo tdgc2_oprobit: oprobit dgcsanction dga i.dgtreatment $controls $vil if country=="Tanzania" & dgrole=="C"

*Table A.4 (ordered probit)
eststo kriga1_oprobit: oprobit rigcsanctiona riga i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0
eststo kriga2_oprobit: oprobit rigcsanctiona riga i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0
eststo krigb1_oprobit: oprobit rigcsanctionb rigb i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0
eststo krigb2_oprobit: oprobit rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0
eststo triga1_oprobit: oprobit rigcsanctiona riga i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0
eststo triga2_oprobit: oprobit rigcsanctiona riga i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0
eststo trigb1_oprobit: oprobit rigcsanctionb rigb i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0
eststo trigb2_oprobit: oprobit rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0

*Table A.5
eststo kdgtrans1_noethmin: reg dgb i.dgtreatment if country=="Kenya" & dgrole=="A" & ethmin==0
eststo kdgtrans2_noethmin: reg dgb i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="A"  & ethmin==0	
eststo tdgtrans1_noethmin: reg dgb i.dgtreatment if country=="Tanzania" & dgrole=="A" & ethmin==0
eststo tdgtrans2_noethmin: reg dgb i.dgtreatment $controls  $vil if country=="Tanzania" & dgrole=="A"  & ethmin==0	

*Table A.6
eststo kdgc1_noethmin: reg dgcsanction dga i.dgtreatment if country=="Kenya" & dgrole=="C" & ethmin==0
eststo kdgc2_noethmin: reg dgcsanction dga i.dgtreatment $controls $vil if country=="Kenya" & dgrole=="C" & ethmin==0
eststo tdgc1_noethmin: reg dgcsanction dga i.dgtreatment  if country=="Tanzania" & dgrole=="C" & ethmin==0
eststo tdgc2_noethmin: reg dgcsanction dga i.dgtreatment $controls $vil if country=="Tanzania" & dgrole=="C" & ethmin==0

*Table A.7
eststo kriga1_noethmin: reg rigcsanctiona riga i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0 & ethmin==0
eststo kriga2_noethmin: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0 & ethmin==0
eststo krigb1_noethmin: reg rigcsanctionb rigb i.rigtreatment if country=="Kenya" & rigrole=="C" & spite==0 & ethmin==0
eststo krigb2_noethmin: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" & spite==0 & ethmin==0
eststo triga1_noethmin: reg rigcsanctiona riga i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0 & ethmin==0
eststo triga2_noethmin: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0 & ethmin==0
eststo trigb1_noethmin: reg rigcsanctionb rigb i.rigtreatment if country=="Tanzania" & rigrole=="C" & spite==0 & ethmin==0
eststo trigb2_noethmin: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  & spite==0 & ethmin==0

*Table A.8 (w/ spiteful)
eststo kriga1_wspite: reg rigcsanctiona riga i.rigtreatment if country=="Kenya" & rigrole=="C" 
eststo kriga2_wspite: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C" 
eststo krigb1_wspite: reg rigcsanctionb rigb i.rigtreatment if country=="Kenya" & rigrole=="C" 
eststo krigb2_wspite: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Kenya" & rigrole=="C"
eststo triga1_wspite: reg rigcsanctiona riga i.rigtreatment if country=="Tanzania" & rigrole=="C" 
eststo triga2_wspite: reg rigcsanctiona riga i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"
eststo trigb1_wspite: reg rigcsanctionb rigb i.rigtreatment if country=="Tanzania" & rigrole=="C" 
eststo trigb2_wspite: reg rigcsanctionb rigb i.rigtreatment $controls $vil if country=="Tanzania" & rigrole=="C"  








